function [ c, ceq ] = ctr( x0, ts, ws,ModelData )
ndisc=size(ts,2)-1;%ts is row vector

[f,alldata] = fun( x0, ts, ws,ModelData );%dod alldata is row after row
%sloupec vrqceno celkem ubatt,ucell,cost,...
%maxubatt,maxucell,maxcost,minubatt,minucell,mincost .. maxima co sme potkali po ceste
%single shooting: zadne constraints:
%ceq = [];% =0                     %radek .. toto ma byt rovno nule
ceq = [];
%multiple shooting:
for inumstates=1:ModelData.numstates
   xquaa=alldata(2:(ndisc),inumstates)';%now it is a row ... alldata is from 1 to ndisc+1 ... at 1 it is x0 at ndisc+1 it is the value at the end of the last timeslot
   xquab=ws((ModelData.numcontrols*ndisc+(inumstates-1)*(ndisc-1)+1)...
       :(ModelData.numcontrols*ndisc+(inumstates)*(ndisc-1)),1)';    
   ceq = [ceq,(xquaa-xquab).*(xquaa-xquab)];%begin at the next time slot where you ended in the previous time slot
 end   
 ceq = [ceq];%other things that need to be equal to zero, comes from problem formulation
 %c = [f(4)-ModelData.Wbattmax;f(5)-ModelData.Wfcmax;...
 %    -f(7);-f(8)]'; %\leq 0                             %radek ... toto ma byt mensi nez nula
 c=[-f(1),-f(2),f(1)-ModelData.Wbattmax,f(2)-ModelData.Wfcmax];
 
 %currently there are constraints only on control variables, and on control
 %variables representing beggining points of integration. And no other
 %constraints on states. So another implementation might be to also add
 %constraints on states. Or also while integrating taking care of max and
 %min values of states. Afraid it will damage precision, i did only the
 %constraints on the node points of discretization.

end
