function [ J,dJ ] = obj( x0, ts, ws,ModelData )
%simulates using given controls ws and souhld return a function to minimize
if nargout==1
 [f,allvalues] = fun( x0, ts, ws,ModelData );
 J = -f(3)-ModelData.cSellFinalPower*(f(1)+f(2)*ModelData.CellFInvefficiency);%power sold on our way plus what we managed to store in fuelcells and batteries
 %we want to maximize cost, so return minus cost to minimize
else
    %and now with sensitivity equations. They need the derivative of J so
    %they need the derivative of the term with integral (and other terms specified at J=...)
    [f,allvalues,df] = fun( x0, ts, ws,ModelData );
    J = -f(3)-ModelData.cSellFinalPower*(f(1)+f(2)*ModelData.CellFInvefficiency);%power sold on our way plus what we managed to store in fuelcells and batteries
    dJ = -df(3,:)'-ModelData.cSellFinalPower*(df(1,:)'+df(2,:)'*ModelData.CellFInvefficiency);
    
    %there is also the control variable connected to numerical method -
    %mutiple shooting. We append it to zero:
    %for (inumstates=1:(ModelData.numstates))
    %    for is = 1:(ModelData.currentns-1)
    %        dJ=[dJ,0];
    %    end
    %end
end
end