data = dlmread('Ext-FC-Voltage-Area.txt');%fumapem fzp 930
x = data(:,1);
y = data(:,2);
fo = fitoptions('Method','NonlinearLeastSquares',...
    'StartPoint', [0.1, 0.1, 0.1, 0.1, 0.1],...
    'Lower', [-10,-10,-10,-10,-0.005],...    
    'Upper', [+10,+10,+10,+10,+0.005],...
    'Display','iter')
ft = fittype( 'FCModel1(x,CellBmult,CellAt,Cellr,Cellm,Celll)','options',fo)

f = fit( x, y, ft )
plot( f, x, y ) 

%FCModel1(0.01,10,-10,-10,10,0.005)

