data = dlmread('25degC-electrl-Volt-curdens.txt');%240 micrometers 25 celsius
x = data(:,1);
y = data(:,2);
fo = fitoptions('Method','NonlinearLeastSquares',...
    'StartPoint', [0.1, 0.1, 0.1, 0.1, 0.1,0.1,0.1,0.1],...
    'Lower', [-100,-100,-100,-100,-100,0,0,0],...    
    'Upper', [100,100,100,100,100,100,100,100],...
    'Display','iter')
ft = fittype( 'ElecModel1(x, Elecr1,Elecr2,Elecs1,Elecs2,Elecs3,Elect1,Elect2,Elect3)','options',fo)

f = fit( x, y, ft )
plot( f, x, y )