%Data=struct([]);
Data.TimeScales=60*60;

Data.cSellPower=100.0*Data.TimeScales;
Data.cBuyPower=200.0*Data.TimeScales;
Data.cSellFinalPower=150.0;%in order for algorithm not to try to sell all the power before final time.
Data.cBattEfficiency=0.9;     %now same for charge and discharge. TODO - change.
Data.cH2Efficiency=0.85;

Data.cBattSigma=0.001*Data.TimeScales;
Data.cLogBegin=3;%2-logaritmus poctu stavu ve kterejch zacit
Data.cLogEnd=4;%2-logaritmus poctu stavu ve kterejch zkoncit

Data.numcontrols=2;
Data.numstates=2;

Data.t_start =  0.0;
Data.t_end   = 60*60*24/Data.TimeScales;%*60*1;%60*60*24;%seconds
    
Data.Wbattmax = 200000;%JOULES in battery
Data.Wfcmax = 10000000;%JOULES in hydrogen%todo no longer true
Data.Wbattinit = Data.Wbattmax/2.0;  %initial charge in battery
    
Data.Pbattplusmax = 1000*Data.TimeScales; % joules per second maximal current of power to battery
Data.Pbattminusmax = -2000*Data.TimeScales; % joules per second maximal current of power FROM battery
Data.Ph2plusmax = 900*Data.TimeScales; % joules per second maximal current of power to hydrogen %todo no longer true
Data.Ph2minusmax = -20000*Data.TimeScales; % joules per second maximal current of power FROM hydrogen %todo no longer true
%todo now the goal is model for CURRENT   

Data.PowerConditionsTimeScale=60*60;% = hours
Data.PowerConditions = dlmread('data.txt');%readtable('data.txt','Delimiter',' ',     'Format','%f%f');
Data.PowerConditions(:,1)=Data.PowerConditions(:,1)*(Data.PowerConditionsTimeScale/Data.TimeScales);
%Data.PowerConditions

Data.ElecNumCells=1;
Data.ElecVrev=1.29;
Data.ElecA=0.02;%m^2, area of electrolyzer electrode
Data.Elecr1=1;
Data.Elecr2=1;
Data.Elecs1=1;
Data.Elecs2=1;
Data.Elecs3=1;
Data.Elect1=1;
Data.Elect2=1;
Data.Elect3=1;
Data.ElecTemp=318.15;%kelvin (318.15 = 45 celsius)
Data.ElecFefficiency=0.85;%faradays efficiency.

Data.CellVrev=1.29;
Data.CellA=0.02;%m^2, area of electrolyzer electrode
Data.Celli0=0.02;%Tafelparam
Data.CellB=0.02;%Tafelparam
Data.CellAt=1;%tafel slope
Data.Cellr=1000;%resistance in Ohm Cm^2
Data.Cellm=1;%overvoltage parameters due to mass limit transports.
Data.Celll=1;
Data.CellFInvefficiency=1.0/0.89;
Data.CellNumCell=1;