function [ f ] = fun( x0, ns, ts, ws,ModelData )

 % Options for ODE solver
 optODE = odeset( 'RelTol', 1e-8, 'AbsTol', 1e-8 );

 % Forward state integration
 z0 = [ x0 ];
 for ks = 1:ns
 [tspan,zs] = ode15s( @(t,x)state(t,x,ws,ks,ModelData), [ts(ks),ts(ks+1)], z0, optODE );
 z0 = zs(end,:)'; %vratilo sloupcovej vektor, do z0 udelame radek
 if (ks==1)
    largest=max(zs)';
    smallest=min(zs)';
 else
    largest=max([largest,zs']')';
    smallest=min([smallest,zs']')';
 end
 end
 % Functions
 f = zs(end,:)';
 f = [f,largest,smallest];

end