%Data=struct([]);
Data.TimeScales=60*60;%reasons: not scaled time to hours it would take years to integrate AND ca significantly improve stability by right scaling
Data.ControlScales=100;%reasons: scaling can improve speed (cos algorithm step size is 1) AND can affect stability by the right scaling.

Data.cSellPower=100.0*Data.TimeScales;
Data.cBuyPower=200.0*Data.TimeScales;
Data.cSellFinalPower=150.0;%in order for algorithm not to try to sell all the power before final time.
Data.cBattEfficiency=0.7;     %now same for charge and discharge. TODO - change.
%Data.cH2Efficiency=0.91;

Data.cBattSigma=0.001*Data.TimeScales;
Data.cLogBegin=5;%12;%2-logaritmus poctu stavu ve kterejch zacit
Data.cLogEnd=5;%12;%2-logaritmus poctu stavu ve kterejch zkoncit

Data.numcontrols=2;
Data.numstates=2;

Data.t_start =  0.0;
%1.dataset
%Data.t_end   = 365*24*60*60/Data.TimeScales;%*60*1;%60*60*24;%seconds
%2.dataset
%Data.t_end   = 181*24*60*60/Data.TimeScales;%*60*1;%60*60*24;%seconds
%2. dataset one week
Data.t_end   = 1*24*60*60/Data.TimeScales;%*60*1;%60*60*24;%seconds
    
Data.Wbattmax = 7920000;%JOULES in battery                 %....2,2kWh (ujv)
Data.Wfcmax = 0.0514131239;%mol*n_e*faradayconstant of hydrogen    %ujv 10kg vodiku
Data.Wbattinit = 0.0;%Data.Wbattmax/2.0;  %initial charge in battery

%n_2 = 2 electrons exchanged
%F= 96485,3399 A*sec/mol
%10000 grams hydrogen = 9921,22546977 moles
%(ujv) 10kg hydrogen storage
%9921,22546977/2/96485,3399 = 0.0514131239
%usually batteries with 2,2kwh - https://library.e.abb.com/public/abf030c96ecac50d85257e1b00730610/REACT-3.6-4.6_BCD.00386_EN_RevB.pdf
    
Data.Pbattplusmax = 3000*Data.TimeScales; % joules per second maximal current of power to battery
Data.Pbattminusmax = -3000*Data.TimeScales; % joules per second maximal current of power FROM battery
Data.Ph2plusmax = 0.00025910672*Data.TimeScales; % Ampers*FaradayConstant*n_e - maximal current to hydrogen                             %todo
Data.Ph2minusmax = -0.00042493502*Data.TimeScales; % Ampers*FaradayConstant*n_e - maximal current FROM hydrogen 
%ujv max fuel cell output 82A -> 0.00042493502 A*F*n_e (n_e = 2 for hydrogen)     
%the goal is model for CURRENT   
%fumapem_fc_and electrolyz -> from that we do have the curves, so I will use maximal current input also - max 2A/cm2
%0.0025;%m^2, area of electrolyzer electrode
%2*0.0025*(10000) [Ampers] / (  96485,3399*2)  [FaradayConstant*n_e]   =0.00025910672

Data.PowerConditionsTimeScale=60*60;% = hours
%Data.PowerConditions = dlmread('data.txt');%readtable('data.txt','Delimiter',' ',     'Format','%f%f');
Data.PowerConditions = dlmread('data2.txt');
Data.PowerConditions(:,1)=Data.PowerConditions(:,1)*(Data.PowerConditionsTimeScale/Data.TimeScales);
Data.PowerConditions(:,2)=Data.PowerConditions(:,1)*(-1);%data are for electricity consumption. So make it electricity generation.
%in fact it is NOW = PVinput - Power Demand

Data.ElecNumCells=2;
Data.ElecVrev=1.29;
Data.ElecA=0.0025;%m^2, area of electrolyzer electrode
Data.Elecr1=0.08509;
Data.Elecr2=0.002397;
Data.Elecs1=3.357e-07;
Data.Elecs2=3.606e-07;
Data.Elecs3=3.986e-07;
Data.Elect1=0.0002209;
Data.Elect2=0.008437;
Data.Elect3=0.008486;
Data.ElecTemp=298.15;% 25 celsius
Data.ElecFefficiency=1.0;%0.85;%faradays efficiency.

Data.CellVrev=1.29;
Data.CellA=0.0025;%m^2, area of electrolyzer electrode
Data.Celli0=exp(1);%cant fit. anyway %CellA=0.0025;%25 cm^2 area, at 65 Celsius, 1 cell,
Data.CellB=0.5172;%Tafelparam
Data.CellAt=0.004908;%tafel slope
Data.Cellr=0.0001521;%resistance in Ohm Cm^2
Data.Cellm=0.09116;%overvoltage parameters due to mass limit transports.
Data.Celll=-0.0083;
Data.CellFInvefficiency=1.0;%1.0/0.89;
Data.CellNumCell=2;